'use strict';

// Setting up route
angular.module('hostNames').config(['$stateProvider',
  function ($stateProvider) {
    // HostNames state routing
    $stateProvider
      .state('hostNames', {
        abstract: true,
        url: '/hostNames',
        template: '<ui-view/>'
      })
      .state('hostNames.list', {
        url: '/list',
        templateUrl: 'modules/hostNames/client/views/list-hostName.client.view.html'
      })
      .state('hostNames.create', {
        url: '/create',
        templateUrl: 'modules/hostNames/client/views/create-hostName.client.view.html',
        data: {
          roles: ['user', 'admin']
        }
      })
      .state('hostNames.generate', {
        url: '/generate',
        templateUrl: 'modules/hostNames/client/views/generate-hostName.client.view.html',
        data: {
          roles: ['user', 'admin']
        }
      })
      .state('hostNames.view', {
        url: '/:hostNameId',
        templateUrl: 'modules/hostNames/client/views/view-hostName.client.view.html'
      })
      .state('hostNames.edit', {
        url: '/:hostNameId/edit',
        templateUrl: 'modules/hostNames/client/views/edit-hostName.client.view.html',
        data: {
          roles: ['user', 'admin']
        }
      });
  }
]);

/**
      .state('hostNames.generate', {
        url: '/:generate',
        templateUrl: 'modules/hostNames/client/views/generate-hostName.client.view.html',
        data: {
          roles: ['user', 'admin']
        }
      })
      **/